using Application.Abstractions.Messaging;
using Application.Abstractions.Identity;

namespace Application.Features.Director.User.UpdateRoles
{
    public sealed class Handler(IIdentityUserWriter userWriter) : ICommandHandler<Command>
    {
        public async Task Handle(Command request, CancellationToken ct)
        {
            await userWriter.UpdateUserRolesAsync(request.UserID, request.Roles, ct);
        }
    }
}